extern Adafruit_NeoPixel led1;
extern Adafruit_NeoPixel led2;
extern Adafruit_NeoPixel led3;
extern Adafruit_NeoPixel led4;
extern Adafruit_NeoPixel led5;
extern Adafruit_NeoPixel led6;
extern Adafruit_NeoPixel led7;
extern Adafruit_NeoPixel led8;

extern uint8_t led_mode[4];         // Programmnummer, geschaltet über die 4 Tasten
extern bool led_mode_change[4];     // Programmnummer wurde verändert
extern bool led_refresh[9];         // LEDs benötigen einen Update

// Deklaration der Hilfsfunktionen

/*
 * Komplette LED-Kette einfarbig
 *  
    uint8_t nr     : Nummer der LED-Kette (1-8)
    uint32_t color : Farbe, RGB
 */
void led_farbe(uint8_t nr, uint32_t color);

/*
 * Muster in LED-Kette kopieren
 * 
 * uint8_t nr      : Nummer der LED-Kette (1-8)
 * uint8_t *muster : Zeiger auf LED-Muster
 */
 
void led_muster(uint8_t nr, const uint8_t *muster);

/*  Rotieren des LED-Musters um eine LED
 *   
    uint8_t *led  : Zeiger auf LED-Daten
    bool dir_left : Richtung: 0= Links, 1=Rechts
*/

void rotieren(uint8_t *led, bool dir_left); 

/*  LED-Muster rotieren lassen
 *   
    uint8_t nr    : Nummer der LED-Kette (1-8)
    uint8_t *led  : Zeiger auf LED-Daten
    uint16_t step : Geschwindigkeit, 0,1 Schritte/s
    bool dir_left : Richtung; 0=Links, 1=Rechts
*/
void animation_rotieren(uint8_t nr, uint16_t step, bool dir_left);  

/*  LED-Muster Animieren
 *   
    uint8_t nr    : Nummer der LED-Kette (1-8)
    uint8_t size  : Anzahl der Muster in der Animation
    uint16_t step : Geschwindigkeit, 0,1 Schritte/s
    const uint8_t animation: Zeiger auf Animationsdaten
*/

void animation_abspielen(uint8_t nr, uint8_t size, uint16_t step, const uint8_t *animation);

/*
 *  Zähler für Animationen rücksetzen
 *  
 *  uint8_t nr    : Nummer der LED-Kette (1-8)
 */

void animation_reset(uint8_t nr);
