#include <Arduino.h>
#include <Adafruit_NeoPixel.h>
#include "LED_Ringe.h"
#include "led_programme.h"

// R G B Keil
const uint8_t muster1[] = {
/* 3 Byte / LED
 *  LED 1     |  LED 2       |  LED 3       |  LED 4       |  LED 5       |  LED 6       |  LED 7       | LED 8        |          
   G    R    B */
 255,   0,   0, 127,   0,   0,  63,   0,   0,  31,  0,    0,  15,   0,   0,   7,   0,   0,   3,   0,   0,   1,   0,   0,
   0, 255,   0,   0, 127,   0,   0,  63,   0,   0,  31,   0,   0,  15,   0,   0,   7,   0,   0,   3,   0,   0,   1,   0,
   0,   0, 255,   0,   0, 127,   0,   0,  63,   0,   0,  31,   0,   0,  15,   0,   0,   7,   0,   0,   3,   0,   0,   1,
};

// Schwarz / Rot / Gold
const uint8_t muster2[] = {
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0, 
    255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 
};

// Drei grüne Punkte
const uint8_t muster3[] = {
/* 3 Byte / LED
 *  LED 1     |  LED 2       |  LED 3       |  LED 4       |  LED 5       |  LED 6       |  LED 7       | LED 8        |        
   G    R    B */
 255,   0,   0, 127,   0,   0,  63,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
};

// verbesserter, blauer Verlauf, logarithmische Kennlinie
const uint8_t muster4[] = { 
      0,   0,   0,   0,   0,  6,   0,   0,  7,   0,   0,  8,   0,   0,  10,   0,   0,  11,   0,   0,  13,   0,   0,  16, 
      0,   0,  19,   0,   0, 23,   0,   0, 27,   0,   0, 32,   0,   0, 38,   0,   0, 45,   0,   0, 54,   0,   0, 64, 
      0,   0, 76,   0,   0, 91,   0,   0, 108,   0,   0, 128,   0,   0, 152,   0,   0, 181,   0,   0, 215,   0,   0, 255, 
};

/*
Breite: 24, Hoehe: 24
3 bytes / pixel, GRB Reihenfolge
Beschreibung: RGB TEST
*/
const uint8_t animation1[] = {
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0, 
      0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0, 
      0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0, 
    255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 
    255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 
    255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 
      0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255, 
      0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255, 
      0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255,   0,   0, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
      1, 254, 254,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 
    255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 
    212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255, 
     21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 
    255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 
    127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159, 
    143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 
    255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255, 
      0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 
    239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 
    255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255, 
      0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 
    255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 
    212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255, 
      0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 
    255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 
    127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159, 
     21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 
    255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255, 
      0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 
    143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 
    255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255, 
      0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 
    239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 
    212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255, 
      0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 
    255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 
    127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159, 
     21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 
    255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 
      0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 
    143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 
    255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255, 
      0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 
    239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 
    255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255, 
      0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 
    255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 
    212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255, 
     21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 
    255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 
    127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159, 
    143, 255,   0, 191, 255,   0, 239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 
    255,   0, 150, 255,   0, 185, 255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255, 
      0,  64, 255,   0, 127, 255,   0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 
    239, 255,   0, 255, 231,   0, 255, 196,   0, 255, 161,   0, 255, 127,   0, 255,   0,  96, 255,   0, 150, 255,   0, 185, 
    255,   0, 221, 255,   0, 255, 212,   0, 255, 169,   0, 255, 127,   0, 255,  63,   0, 255,   0,  64, 255,   0, 127, 255, 
      0, 191, 255,   0, 255, 255,   0, 255, 255,   0, 255, 159,  21, 255,  63,  85, 255,   0, 143, 255,   0, 191, 255,   0, 
    };


/*
Breite: 24, Hoehe: 10
3 bytes / pixel, GRB Reihenfolge
Beschreibung: Übergang
*/
const uint8_t animation2[] = {
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 
    254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 
    254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 
    254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 254, 255, 247, 
    251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 
    251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 
    251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 251, 255, 221, 
    245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 
    245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 
    245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 245, 255, 182, 
    237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 
    237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 
    237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 237, 255, 115, 
    227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 
    227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 
    227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 227, 255,  70, 
    212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 
    212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 
    212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 212, 255,  32, 
    193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 
    193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 
    193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 193, 255,  11, 
    166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 
    166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 
    166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 166, 255,   1, 
    137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 
    137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 
    137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 137, 255,   0, 
    };

/*
Breite: 24, Hoehe: 48
3 bytes / pixel, GRB Reihenfolge
Beschreibung: rote Säule, Auf- und Abbau
*/
const uint8_t animation3[] = {
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0, 234,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0, 234,   0,   0, 245,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0, 234,   0,   0, 245,   0,   0, 255,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0, 234,   0,   0, 245,   0,   0, 255,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0, 234,   0,   0, 245,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0, 234,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0, 223,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0, 212,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0, 202,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0, 191,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0, 180,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0, 169,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0, 159,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0, 148,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0, 137,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0, 116,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0, 104,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,  92,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,  81,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,  69,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,  58,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,  46,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,  34,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,  23,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   1,   0,   0,  11,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
      0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
    };

/*
Breite: 24, Hoehe: 48
3 bytes / pixel, GRB Reihenfolge
Beschreibung: Regenbogen
*/
const uint8_t animation4[] = {
     14, 254, 254,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255, 
      1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255, 
      1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255,   1, 255, 255, 
      1, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255, 
      0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255, 
      0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255,   0, 230, 255, 
      1, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255, 
      0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255, 
      0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255,   0, 204, 255, 
      1, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255, 
      0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255, 
      0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255,   0, 178, 255, 
      1, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255, 
      0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255, 
      0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255,   0, 152, 255, 
      1, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255, 
      0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255, 
      0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255,   0, 127, 255, 
      1, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255, 
      0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255, 
      0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255,   0, 100, 255, 
      1,  73, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255, 
      0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255, 
      0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255,   0,  72, 255, 
      1,  46, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255, 
      0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255, 
      0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255,   0,  45, 255, 
     10,  19, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255, 
      9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255, 
      9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255,   9,  18, 255, 
     40,   1, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255, 
     39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255, 
     39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255,  39,   0, 255, 
     69,   1, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255, 
     68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255, 
     68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255,  68,   0, 255, 
     97,   1, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255, 
     97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255, 
     97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255,  97,   0, 255, 
    127,   1, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 
    127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 
    127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 
    152,   1, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 
    152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 
    152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 152,   0, 255, 
    178,   1, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 
    178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 
    178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 178,   0, 255, 
    203,   1, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 
    203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 
    203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 203,   0, 255, 
    229,   1, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 
    229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 
    229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 229,   0, 255, 
    255,   1, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 
    255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 
    255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 
    255,   1, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 
    255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 
    255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 255,   0, 226, 
    255,   1, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 
    255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 
    255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 255,   0, 196, 
    255,   1, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 
    255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 
    255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 255,   0, 166, 
    255,   1, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 
    255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 
    255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 255,   0, 136, 
    255,   1, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 
    255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 
    255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 255,   0, 107, 
    255,   1,  79, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 
    255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 
    255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 255,   0,  78, 
    255,   1,  50, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 
    255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 
    255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 255,   0,  49, 
    255,  13,  20, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 
    255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 
    255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 255,  12,  19, 
    255,  51,   1, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 
    255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 
    255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 255,  50,   0, 
    255,  88,   1, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 
    255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 
    255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 255,  88,   0, 
    255, 127,   1, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 
    255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 
    255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 255, 127,   0, 
    255, 161,   1, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 
    255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 
    255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 255, 161,   0, 
    255, 196,   1, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 
    255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 
    255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 255, 196,   0, 
    255, 231,   1, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 
    255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 
    255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 255, 231,   0, 
    244, 255,   1, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 
    244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 
    244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 244, 255,   0, 
    212, 255,   1, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 
    212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 
    212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 212, 255,   0, 
    180, 255,   1, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 
    180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 
    180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 180, 255,   0, 
    148, 255,   1, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 
    148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 
    148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 148, 255,   0, 
    116, 255,   1, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 
    116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 
    116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 116, 255,   0, 
     82, 255,   1,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0, 
     81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0, 
     81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0,  81, 255,   0, 
     47, 255,   1,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0, 
     46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0, 
     46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0,  46, 255,   0, 
     12, 255,  22,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21, 
     11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21, 
     11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21,  11, 255,  21, 
      1, 255,  53,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52, 
      0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52, 
      0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52,   0, 255,  52, 
      1, 255,  85,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84, 
      0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84, 
      0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84,   0, 255,  84, 
      1, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116, 
      0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116, 
      0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116,   0, 255, 116, 
      1, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150, 
      0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150, 
      0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150,   0, 255, 150, 
      1, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185, 
      0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185, 
      0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185,   0, 255, 185, 
      1, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220, 
      0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220, 
      0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220,   0, 255, 220, 
      1, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255, 
      0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255, 
      0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255,   0, 255, 255, 
    };

// die einzelnen LED-Programme in Detail

/* es gibt 4 prinzipielle LED-Ansteuerungen
  1: alle LEDs mit gleicher Farbe
  2: konstantes LED-Muster, LEDs mit verschiedenen Farben
  3: rotierendes LED-Muster, links oder rechts, Geschwindigkeit einstellbar
  4: Animation, Anzeigen von verschiedenen Mustern nacheinander, Geschwindigkeit einstellbar

  Die Anzeige für die einzelnen LED-Ausgänge können im Programm beliebig gewählt werden
*/

/* 
  das aktuelle Programm aufgerufen
  zusätzliche Programm hier eintragen
  auch #define MODE_CNT in led_programme.h anpassen
  es können auch mehrere switch() Anweisungen benutzt werden,
  um mit den vier Tasten eigene Programme schalten zu können
*/
void programe_aufrufen(void) {

  // Taste 1
  switch(led_mode[0]) {
    case 0: p0(); break;
    case 1: p1(); break;
    case 2: p2(); break;
    case 3: p3(); break;
    case 4: p4(); break;
    case 5: p5(); break;
    case 6: p6(); break;
    case 7: p7(); break;
  }

/*
 * passende Programme eintragen, natürlich andere als für Taste 1 !
    // Taste 2
  switch(led_mode[1]) {
    case 0: p0(); break;
    case 1: p1(); break;
    case 2: p2(); break;
    case 3: p3(); break;
    case 4: p4(); break;
    case 5: p5(); break;
    case 6: p6(); break;
    case 7: p7(); break;
  }
*/

}

// konstante Farben

void p0(void) {
  uint32_t color;

  // nur beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    // alles schwarz,  R  G  B
    color = led1.Color(0, 0, 0);  
    led_farbe(1, color);
    led_farbe(2, color);
    led_farbe(3, color);
    led_farbe(4, color);  
  }
}

void p1(void) {
  uint32_t color;

  // nur beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    //                   R  G  B
    color = led1.Color(255, 0, 0);
    led_farbe(1, color);
    led_farbe(2, color);
    led_farbe(3, color);
    led_farbe(4, color);  
  }
}

void p2(void) {
  uint32_t color;

  // nur beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {  
    //                 R  G    B
    color = led1.Color(0, 255, 0);
    led_farbe(1, color);
    led_farbe(2, color);
    led_farbe(3, color);
    led_farbe(4, color);  
  }
}

void p3(void) {
  uint32_t color;

  // nur beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    //                 R  G  B
    color = led1.Color(0, 0, 255);
    led_farbe(1, color);
    led_farbe(2, color);
    led_farbe(3, color);
    led_farbe(4, color);  
  }
}

// Rotierende Muster

void p4(void) {
  uint32_t color;
  
  // beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    led_muster(1, muster1); animation_reset(1);
    led_muster(2, muster2); animation_reset(2);
    //                 R    G  B
    color = led1.Color(255, 0, 255);
    led_farbe(3, color);                  // einfache Farbe
    led_muster(4, muster2);               // konstantes Muster
  } else {  // Muster rotieren
    animation_rotieren(1, 100, true);         // Daten rotieren
    animation_rotieren(2, 133, false);        // Daten rotieren
  }  
}

// Animiertes Muster

void p5(void) {
  uint32_t color;

  // beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    led_muster(1, animation1); animation_reset(1);
    led_muster(2, muster3); animation_reset(2);   
    color = led1.Color(255, 0, 255);
    led_farbe(3, color);                 // einfache Farbe
    led_farbe(4, color);                 // einfache Farbe
  } else {
    animation_abspielen(1, bilder(animation1), 10, animation1);    // Animation darstellen
    animation_rotieren(2, 133, false);                 // Daten rotieren
  }
}

void p6(void) {
  uint32_t color;

  // beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    led_muster(1, muster4); animation_reset(1);    // Daten kopieren
    led_muster(2, animation3); animation_reset(2); // Daten kopieren
    color = led1.Color(0, 0, 0);
    led_farbe(3, color);                 // einfache Farbe
    led_farbe(4, color);                 // einfache Farbe    
  } else { 
    animation_rotieren(1, 133, false);                               // Daten rotieren
    animation_abspielen(2, bilder(animation3), 150, animation3);     // Animation darstellen
  }
}

void p7(void) {
  uint32_t color;
  
   // beim Wechsel des Programms Muster laden
  if (led_mode_change[0]) {
    led_muster(1, animation4); animation_reset(1);
    led_muster(2, animation4); animation_reset(2);
    color = led1.Color(0, 0, 0);
    led_farbe(3, color);
    led_farbe(4, color); 
  } else {
    animation_abspielen(1, bilder(animation4), 120, animation4);
    animation_abspielen(2, bilder(animation4), 50, animation4);
  }
}
